

{ config, pkgs, ... }:

{

  imports = [
    ./hardware-configuration.nix
  ];

  system.nixos.tags = [ "Nya_Beginnings" ];

  networking.hostName = "lappy"; 
  networking.networkmanager.enable = true; 
  time.timeZone = "America/Lost_Angeles";

  boot.kernelParams = [
    "intel_pstate=no_hwp"
    "kernel.yama.ptrace_scope=0"
    "mem_sleep_default=deep"
    "module_blacklist=hid_sensor_hub"
    "intel_iommu=on"
    "iommu=pt"
    "i915.enable_guc=7"
  ];

  hardware.opengl = {
    enable = true;
    driSupport = true;
    extraPackages = with pkgs; [
      intel-compute-runtime
      intel-media-driver
    ];
  };

  # Read the Docs before Changing
  system.stateVersion = "23.05";
}
